org.apache.lucene.luke.app

## Class AbstractHandler<T extends Observer>

- java.lang.Object
- - org.apache.lucene.luke.app.AbstractHandler<T>

Direct Known Subclasses:
  DirectoryHandler, IndexHandler

    public abstract class AbstractHandler<T extends Observer>
    extends Object

Abstract handler class

### Constructor Summary

Constructors
Constructor and Description
`AbstractHandler()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addObserver(T observer)`
`protected abstract void` `notifyOne(T observer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractHandler

    public AbstractHandler()

### Method Detail

#### addObserver

    public void addObserver(T observer)

#### notifyOne

    protected abstract void notifyOne(T observer)